/* RESET */
*, *::before, *::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    line-height: 1.25;
    -webkit-text-size-adjust: 100%;
    color-scheme: light;
    scroll-behavior: smooth;
    text-rendering: geometricPrecision;
    background-color: var(--color-kreide);
}

img, picture, video, canvas, svg {
    display: block;
    max-width: 100%;
}

img {
    height: auto;
}

button {
    background: none;
    border: none;
    font: inherit;
    cursor: pointer;
}

a {
    text-decoration: none;
    color: inherit;
}

ul, ol {
    list-style: none;
}

abbr, label, summary, select {
    cursor: pointer;
}






p, .txt li, time {
    /* font-size: clamp(13px, 1.28vw, 1rem); */
    line-height: 1.5;
}

.txt > :is(ol, ul, p, table, figure, h1, h2, h3, h4, h5) {
    margin-bottom: 1rem;
}

.txt > *:last-child {
    margin-bottom: 0;
}

.txt a {
    color: var(--color-primary);
    font-weight: 700;
    display: inline-block;
    position: relative;
}

.txt a:hover::after {
    content: '';
    position: absolute;
    left: 0;
    display: block;
    width: 100%;
    height: 1px;
    background-color: var(--color-primary);
    bottom: 1px;
}

.txt ol {
    list-style-type: auto;
    margin-left: 1rem;
}
.txt ul {
    list-style-type: disc;
    margin-left: 1rem;
}


@keyframes rotatingsmall {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(-360deg);
    }
}



/* TOKENS (scoped) */
html {

    --font-family: 'proxima-nova', system-ui, sans-serif;
    --font-highlight: 'the-seasons', system-ui, sans-serif;

    --unit-margin: .5rem;
    --unit-radius: 0;
    --unit-gap: .6rem;

    /* --spacing      : clamp(3rem, 9.2vw, 8.125rem); */
    --spacing: clamp(3rem, 9.2vw, 8.125rem);
    /* --spacing : 2.5rem; */
    --spacing-save : 1.5rem;

    --size-outline  : 1300px;
    /*--size-outline  : 1250px; */ /* clamp(1132px,93.5vw,1344px); */
    --size-large    : 1200px; /* hero-slider, raum, galerie-logos */
    --size-medium   : 954px; /* service, rec  clamp(910px,71vw,1040px); clamp(800px,62.8vw,902px); */
    --size-small    : 750px;  /* infi-centered, events */

    --color-text:       #434343;
    --color-primary:    #1E2E36;
    --color-kreide: #F4F3F0;


    --color-primary-light:    #005ca9;

    --color-primary-dark: #004077;
    --color-secondary:  #E3EDF6;

    /* --border-color: currentColor;
    --border-radius: calc( var(--unit-radius) * 1 );
    --border-width: 1px; */


    --header: clamp(150px, calc(105px + 11.25vw), 240px);
    --header: clamp(120px, calc(90px + 7.5vw), 180px);
}



main {

    section {
        padding-left: var(--spacing-save);
        padding-right: var(--spacing-save);
        margin: var(--spacing) 0;

        &:has(.bbb_text) {
            margin: 5rem 0;
        }

        & > div[id] {
            scroll-margin-top: 3rem; /* adjust to your fixed header height */
        }

        & > * {
            max-width: var(--size-outline);
            margin: 0 auto;
        }

        h1 {
            font-size: 40px;
            font-weight: 600;
            font-family: var(--font-highlight);
            color: var(--color-primary);
        }

        h2 {
            font-size: 66px;
            font-size: clamp(30px, calc(12px + 4.5vw), 66px);
            font-weight: 400;
            font-family: var(--font-highlight);
            color: var(--color-primary);
            margin-bottom: 1.5em;
            text-align: center;

            /* font-size: clamp(20px, 3.3vw, 40px); */
            line-height: 1.3;
        }

        h3 {
            font-weight: 600;

        }

        p + h3,
        ul + h3 {
            margin-top: 2lh;
            color: var(--color-primary);
            font-size: 21px;
        }

        strong {
            font-weight: 600;
        }

    }

    article {
        padding-left: var(--spacing-save);
        padding-right: var(--spacing-save);
        margin: var(--spacing) 0;



        & > * {
            max-width: var(--size-medium);
            margin: 0 auto;
        }
    }

}





/* BASE ELEMENTS */
html {
    font-family: var(--font-family);
    color: var(--color-text);
}

nav > ul {
    display: flex;
    gap: 1rem;
    color: var(--color-primary);

    /* .sub-menu {
        display: none;
    } */

    a {
        white-space: nowrap;
    }
}

/* html {
    --clamp-min: 400px;
    --clamp-max: 1200px;

}

.logo {
    --min: 128px;
    --max: 256px;
    --slope: calc( 100 * ( var(--max) − var(--min) ) / ( var(--clamp-max) − var(--clamp-min) ) );
    --intercept: calc( var(--min) − ( var(--clamp-min) / 100 ) * var(--slope) );
    width: clamp( var(--min), calc( var(--intercept) + var(--slope)vw), var(--max));

} */



header {

    background-color: var(--color-primary);
    /* height: 240px; */
    height: var(--header);

    section {
        padding-left: var(--spacing-save);
        padding-right: var(--spacing-save);
        /* padding-bottom: clamp(1rem, 1.5vw, 1.65rem); */
        padding-bottom: 2rem;
        padding-top: 2rem;
        height: 100%;

        .wrapper {
            height: 100%;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            gap: 1rem;
            position: relative;

            .logo {
                line-height: 0;
                width: 256px;
                width: clamp(117px, calc(73px + 11vw), 205px);

                img {
                    width: 85%;
                    margin: 0 auto;
                }
            }

        }

        & > * {
            width: 100%;
            max-width: var(--size-outline);
            margin: 0 auto;
        }
    }


    nav {
        position: absolute;
        right: 0;
        top: 0;
        height: 100vh;
        width: 415px;
        z-index: 10;
        background-color: #141E22;

        padding: 20ch 5rem;

        opacity: 0;
        transition: opacity .3s ease;
        visibility: hidden;

        &[aria-hidden="false"] {
            opacity: 1;
            visibility: visible;
        }

        ul {

            display: flex;
            flex-direction: column;
            /* gap: 2rem; */

            color: #fff;

            /* font-size: 25px; */
            /* line-height: 74px; */

            font-size: clamp(18px, calc(14.5px + 0.875vw), 25px);
            line-height: clamp(40px, calc(23px + 4.25vw), 74px);

            font-family: var(--font-highlight);

            li {
                transition: opacity .3s ease;
                &:hover {
                    opacity: .5;
                }
            }
        }
    }

    .trigger {
        position: absolute;
        right: 2rem;
        top: clamp(30px, calc(21px + 2.25vw), 48px);
        z-index: 11;
    }

    .slogan {
        color: #fff;
        font-family: 'the-seasons';
        font-weight: 700;
        letter-spacing: 1px;
        font-size: clamp(13px, calc(11.5px + 0.375vw), 16px);
    }

}


@media only screen and (max-width: 450px) {

    header nav {
        width: 100vw;
        text-align: center;
    }

}



footer {
    background-color: #D7DFDC;
    width: 100%;

    section {

        max-width: var(--size-outline);
        margin: 0 auto;
        & > * {
            padding-left: var(--spacing-save);
            padding-right: var(--spacing-save);
        }
    }

    .wrapper {
        /* max-width: var(--size-medium); */
        margin: 0 auto;
        position: relative;
    }

    .logo {
        position: absolute;
        bottom: 0;
        left: 50%;
        transform: translateX(-50%);
        width: clamp(100px, calc(49px + 12.75vw), 202px);
    }

    .navigation {

        .wrapper {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
            align-items: flex-end;
            padding: 6em 0 3em;
            gap: 2em;

            ul {
                display: block;
                list-style: none;
                margin: 0;
            }


            li a {
                /* font-size: clamp(15px, 1.8vw, 18px); */
                font-weight: 400;
                font-size: clamp(13px, calc(11.5px + 0.375vw), 16px);
            }
        }

    }

}







/* LAYOUTS */

section:has(.hero) {

    margin-top: 0;
}

section:has(.hero) + section {
    padding-top: 5rem;
}





.button {
    font-weight: 500;
    font-size: 19px;
    font-size: clamp(14px, calc(11.5px + 0.625vw), 19px);
    line-height: 1.25;
    letter-spacing: 0.1em;
    /* line-height: 24px; */
    display: inline-block;
    color: #fff;
    background-color: var(--color-primary);
    /* padding: 1.3438rem 2.5765rem; */
    padding: 1.112em 2.17em;
    border-radius: 50px;
    text-transform: uppercase;
    border: 1px solid #fff;
    transition: background-color .25s ease;
}
/*
.button:hover {
    background-color: var(--color-primary-light);
} */


.bbb_kurs {

    position: relative;

    h2 {
        width: fit-content;
        margin: 0 auto;
        z-index: 5;

    }

    .illustration {
        display: none;
        transition: opacity 1s ease;
    }


    .aaa {
        width: 420px;
        width: clamp(200px, calc(90px + 27.5vw), 420px);
        aspect-ratio: 1;
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;
        flex-direction: column;

        &::after {
            content: '';
            display: block;
            background-color: #DCD2BF;
            border-radius: 50%;
            filter: blur(35px);
            position: absolute;
            width: 100%;
            aspect-ratio: 1;
            top: 0;
            left: 0;
            z-index: -1;
            transition: background-color .5s ease;
        }

        h3 {
            font-family: var(--font-highlight);
            font-size: 55px;
            font-size: clamp(30px, calc(17.5px + 3.125vw), 55px);
            font-weight: 400;
        }

        strong {
            font-size: 18px;
            font-size: clamp(14px, calc(12px + 0.5vw), 18px);
            font-weight: 400;
            letter-spacing: .15em;
            text-transform: uppercase;
        }

        &.alt::after {
            background-color: #C5D0D7;
        }
    }

    .bbb {
        width: 183px;
        width: clamp(85px, calc(36px + 12.25vw), 183px);
        aspect-ratio: 1;
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;
        flex-direction: column;
        gap: .5em;


        img {
            width: 45px;
            width: clamp(26px, calc(16.5px + 2.375vw), 45px);
        }


        &::after {
            content: '';
            display: block;
            background-color: #98B0A0;
            border-radius: 50%;
            filter: blur(35px);
            position: absolute;
            width: 100%;
            aspect-ratio: 1;
            top: 0;
            left: 0;
            z-index: -1;
        }

        strong {
            font-size: 18px;
            font-size: clamp(14px, calc(12px + 0.5vw), 18px);
            font-weight: 400;
            letter-spacing: .15em;
            text-transform: uppercase;
        }
    }


    &[data-active="0"] .illustration {
        opacity: 0;
    }

    &:not([data-active="0"]) .illustration {
        opacity: 1;
    }

    &[data-active="5"] .illustration {
        opacity: 0;
    }

    &[data-active="3"] .illustration .aaa::after,
    &[data-active="4"] .illustration .aaa::after,
    &[data-active="5"] .illustration .aaa::after  { /* <-- farbe soll bleiben */
        background-color: #C5D0D7;
    }

    &[data-active="2"] .illustration .bbb,
    &[data-active="4"] .illustration .bbb,
    &[data-active="5"] .illustration .bbb  {
        opacity: 1;
    }


    .illustration .grundlagen {
        transition: opacity .5s ease;
        opacity: 1;
    }
    .illustration .mittelstufe {
        position: absolute;
        left: 0;
        opacity: 0;
        transition: opacity .5s ease;
    }

    &[data-active="3"] .illustration .grundlagen { opacity: 0; }
    &[data-active="4"] .illustration .grundlagen { opacity: 0; }
    &[data-active="5"] .illustration .grundlagen { opacity: 0; }
    &[data-active="3"] .illustration .mittelstufe { opacity: 1; }
    &[data-active="4"] .illustration .mittelstufe { opacity: 1; }



    .kurs {
        font-size: 25px;
        font-size: clamp(16px, calc(11.5px + 1.125vw), 25px);
        line-height: 1.6;
        margin-top: 3.5em;

        figure {
            position: relative;
            display: flex;
            justify-content: center;
        }

        &[data-count="2"] {
            figure .aaa {
                position: relative;
                left: -15%
            }

            figure .bbb {
                position: absolute;
                bottom: 10%;
                right: 10%;
            }
        }

        &[data-count="3"] {
            figure .aaa {
                position: relative;
                left: -15%
            }
            figure .bbb {
                position: absolute;
                bottom: 10%;
                right: 10%;
            }
        }

        .txt {
            padding: 1em 0;
        }
    }
}


@media only screen and (min-width: 900px) {

    .bbb_kurs {

        h2 {
            position: sticky;
            top: 1rem;

            &::after {
                content: '';
                display: block;
                background-color: #f4f3f0;
                width: 110%;
                height: 110%;
                position: absolute;
                top: 0;
                z-index: -1;
                filter: blur(15px);
                opacity: .9;
            }
        }

        .illustration {
            display: block;
            position: sticky;
            top: 30%;

            .bbb {
                position: absolute;
                bottom: -10%;
                left: 24%;
                opacity: 0;
                transition: opacity .5s ease;
            }
        }

        .kurs {
            position: sticky;
            top: 0;
            height: 100vh;
            display: grid;
            grid-template-columns: 1fr 1fr;
            align-items: center;
            margin-top: 0;

            figure > * {
                display: none;
            }

            .txt {
                background-color: #f4f3f0;
                padding: 1em 0;
                position: relative;

                &::before,
                &::after {
                    content: '';
                    display: block;
                    background-color: #f4f3f0;
                    width: 100%;
                    height: 7rem;
                    position: absolute;
                    top: -3.5rem;
                    z-index: -1;
                    filter: blur(13px);
                    opacity: .9;
                }
                &::after {
                    top: auto;
                    bottom: -2rem;
                }
            }
        }

    }

}


/* texts: hidden by default */
.bbb_kurs .kurs .txt{
  opacity: 0;
  visibility: hidden;                 /* prevents overlap/clicks */
  transition: opacity .35s ease, visibility 0s linear .35s; /* hide after fade-out */
}

/* show only the active section's text, but delay its opacity = short blank gap */
.bbb_kurs[data-active="1"] .kurs[data-count="1"] .txt,
.bbb_kurs[data-active="2"] .kurs[data-count="2"] .txt,
.bbb_kurs[data-active="3"] .kurs[data-count="3"] .txt,
.bbb_kurs[data-active="4"] .kurs[data-count="4"] .txt {
  visibility: visible;
  opacity: 1;
  transition-delay: .20s, 0s;         /* 200ms gap before fade-in */
}

/* optional: reduce motion */
@media (prefers-reduced-motion: reduce){
  .bbb_kurs .kurs .txt{ transition: none; }
}

/* left illustration: show per step (example) */
.bbb_kurs .illustration .aaa,
.bbb_kurs .illustration .bbb{
  /* opacity: 0; transition: opacity .35s ease; */
}
.bbb_kurs[data-active="1"] .illustration .aaa{ opacity: 1; }
.bbb_kurs[data-active="2"] .illustration .bbb{ opacity: 1; }
.bbb_kurs[data-active="3"] .illustration .bbb{ opacity: 0; }
.bbb_kurs[data-active="4"] .illustration .bbb{ opacity: 1; }
/* add more states as needed */



main > section:first-of-type:has(.bbb_hero) {
    margin-top: 0;
    background-color: var(--color-primary);
    /* padding-top: 3vw; */
}


.bbb_hero {
    --overlap: 0rem;
    color: #fff;

    .content {
        position: relative;
        display: flex;
        flex-direction: column-reverse;

        .copy {
            z-index: 2;
            text-align: center;
            padding: 2.5em 0;
        }

    }

    .txt {
        font-family: var(--font-highlight);
        font-size: 25px;
        font-size: clamp(16px, calc(11.5px + 1.125vw), 25px);
        /* line-height: 41px; */
        line-height: 1.64;
        letter-spacing: 0.05em;
        margin-bottom: 3rem;

        text-shadow: 0px 0px 5px rgba(0, 0, 0, .5);
    }

    .slideshow {

        position: relative;
        left: calc(var(--overlap) * -1);
        width: calc(100% + var(--overlap));
        z-index: 1;

        figure {
            aspect-ratio: 3/2;
            opacity: 0;
            transition: opacity .65s ease;

            &.--active {
                opacity: 1;
                z-index: 1
            }

            img {
                object-fit: cover;
                width: 100%;
                height: 100%
            }
        }

        figure:not(:first-child) {
            position: absolute;
            top: 0;
            left: 0
        }

    }

}

@media only screen and (min-width: 900px) {

    main > section:first-of-type:has(.bbb_hero) {
        min-height: calc( 100vh - var(--header) );
        display: flex;
        align-items: center;

        .bbb_hero {
            position: relative;
            top: -1.75rem;
        }
    }

    .bbb_hero {
        --overlap: 5rem;


        .content {
            display: grid;
            grid-template-columns: 1fr 1.16666fr;
            align-items: center;

            .copy {
                padding: 5em 0 0;
            }

        }

    }
}





.bbb_angebot {

    .content {
        margin-bottom: calc(var(--spacing) * 1.5);
    }

    .item {
        position: relative;

        .angebot {
            background-color: #E8E2D3;
        }

        &:nth-of-type(1) .angebot {
            background-color: #E8E2D3;

        }
        &:nth-of-type(2) .angebot {
            background-color: #D9DEE1;

            figure {
                width: 44%;
            }
        }
        &:nth-of-type(3) .angebot {
            background-color: #CBD7CF;
        }

        &:nth-of-type(4) .angebot {
            background-color: #D1ABD0;
        }
    }

    .angebot {

        padding: 3rem;
        padding: 2em 1.5em;
        margin-bottom: 5rem;

        font-size: 25px;
        line-height: 40px;

        .button {
            margin-top: 11%;
            border: none;
        }

        figure {
            position: absolute;
            width: 34%;

            top: 3%;
            right: -5%;
        }


        h3 {
            font-family: var(--font-highlight);
            font-size: 76px;
            font-size: clamp(34px, calc(13px + 5.25vw), 76px);
            font-weight: 400;
            line-height: 0.58;
        }

        h3 + p {
            text-transform: uppercase;
            font-size: 22px;
            font-size: clamp(15px, calc(11.5px + 0.875vw), 22px);
            line-height: 1.09;
            letter-spacing: .15ch;
            margin-top: 1.5em;
        }

        h4 {
            font-family: var(--font-highlight);
            font-size: 22px;
            font-size: clamp(15px, calc(11.5px + 0.875vw), 22px);
            font-weight: 700;
            line-height: 1.45;
            margin: 2em 0 1em;
        }

        .shedule {
            font-family: var(--font-highlight);
            display: flex;

            flex-direction: column;
            gap: .25em;

            margin: 2.2em 0;
            font-size: 20px;
            font-size: clamp(14px, calc(11px + 0.75vw), 20px);
            font-weight: 700;
            letter-spacing: 0.05em;
            white-space: nowrap;
            line-height:2;

            & > div::before {
                content: '';
                display: inline-block;
                width: 1em;
                height: 1em;
                background-size: contain;
                background-repeat: no-repeat;
                background-position: center;
                position: relative;
                top: 8%;
                margin-right: .75em;
            }

            & > div:nth-child(1)::before {
                background-image: url('images/icon-kalender.svg');
            }
            & > div:nth-child(2)::before {
                background-image: url('images/icon-uhr.svg');
            }

        }

        ul {
            list-style: disc;
            margin-left: 1.35rem;
        }

        .txt, li {
            font-size: 18px;
            font-size: clamp(14px, calc(12px + 0.5vw), 18px);
            line-height: 1.5;
        }
    }
}

@media only screen and (min-width: 900px) {


    .bbb_angebot {


        .item {
            position: relative;

            &:nth-of-type(1) .angebot {
                margin-left: auto;
                padding: 9% 11% 11% 22%;

                figure {
                    left: 0;
                    top: auto;
                    bottom: 3em;
                }
            }
            &:nth-of-type(2) .angebot {
                padding: 9% 22% 11% 11%;

                figure {
                    right: 0;
                    top: auto;
                    bottom: 3em;
                    width: 47%;
                }
            }
            &:nth-of-type(3) .angebot {
                margin-left: auto;
                padding: 9% 11% 11% 22%;

                figure {
                    left: 0;
                    top: auto;
                    bottom: 3em;
                }
            }
            &:nth-of-type(4) .angebot {
                padding: 9% 22% 11% 11%;

                figure {
                    right: 0;
                    top: auto;
                    bottom: 3em;
                    width: 47%;
                }
            }
            &:nth-of-type(5) .angebot {
                margin-left: auto;
                padding: 9% 11% 11% 22%;

                figure {
                    left: 0;
                    top: auto;
                    bottom: 3em;
                }
            }
        }

        .angebot {

            width: 83%;

            .shedule {
                flex-direction: row;
                gap: 3.2em;
            }
        }
    }
}


section:has(.bbb_media) {

    background-color: #fff;

    /* margin: 0; */
    padding-top: var(--spacing);
    padding-bottom: var(--spacing);

}

.bbb_media {

    padding-bottom: 2em;

    .copy {
        font-size: clamp(14px, calc(12px + 0.5vw), 18px);
        line-height: 1.7;
    }

    .gallery {
        margin: 3em 0;
    }

    .button {
        margin: 0 auto calc( var(--spacing) / 2 );
        display: block;
        width: fit-content;
    }
}

@media only screen and (min-width: 600px) {

    .bbb_media {

        padding-bottom: 0;

        .gallery {
            margin: 8% 0;
        }

        .copy {
            width: 65%;
            max-width: 780px;
            text-align: center;
            margin: 0 auto;
        }
    }

}


.bbb_about {

    position: relative;

    svg {
        --widht: clamp(76px, calc(15.5px + 15.125vw), 197px);
        position: absolute;
        top: calc( -1 * ( var(--widht) / 2 + var(--spacing) ) );
        left: 6%;
        width: var(--widht);
        height: var(--widht);

        #rotate {
            transform-origin: center;
            animation: rotatingsmall 12s linear infinite;
        }
    }

    .content {
        position: relative;
        display: flex;
        flex-direction: column;
        align-items: end;

        .left {
            z-index: 2;
            margin-bottom: 10%;
            font-size: 25px;
            font-size: clamp(16px, calc(11.5px + 1.125vw), 25px);
            line-height: 1.6;
            align-self: center;
        }

        .right {
            position: relative;
            left: calc(var(--overlap) * -1);
            width: calc(100% + var(--overlap));
            z-index: 1;
            font-size: 18px;
            font-size: clamp(14px, calc(12px + 0.5vw), 18px);
            line-height: 1.7;

            h3 {
                font-family: var(--font-highlight);
                font-size: 57px;
                font-size: clamp(26px, calc(10.5px + 3.875vw), 57px);
                font-weight: 400;
                margin-bottom: 1em;

            }
        }
    }
}

@media only screen and (min-width: 900px) {

    .bbb_about {
        --overlap: 11.36rem;

        .content {
            display: grid;
            grid-template-columns: 1.1fr 1.2fr;

            .right {

                .txt {
                    width: 59%;
                }
                h3 {
                    margin: 2.3em 0 1em;
                }
            }
        }
    }

}





section:has(.bbb_buchen) {
    position: relative;

    .background {
        display: none;
        position: absolute;
        top: 0;
        left: 0;
        width: 100vw;
        max-width: none;
        height: 100%;

        &.--mobile {
            display: block;
        }

        img {
            width: 100%;
            height: 100%;
            object-fit: cover;
            object-position: bottom;
        }

    }
}


@media only screen and (min-width: 700px) {

    section:has(.bbb_buchen) {
        position: relative;
        padding: 0;

        .background {
            display: block;


            &.--mobile {
                display: none;
            }
        }
    }


}


.bbb_testimonials {

    position: relative;
    z-index: 2;
    margin: 4em auto 3em;


    .arrow {
        position: absolute;
        top: 1.25em;
        transform: translateY(-50%);
        border: 0; background: transparent; font-size: 2rem; line-height: 1; cursor: pointer;
        width: 1.5em;
        height: 1.5em;
        background-image: url('images/arrow.svg');
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;

        &.prev { left: -2.5%; transform: translateY(-50%) rotate(-180deg); }
        &.next { right: -2.5%; }
    }

    .wrapper {
        max-width: 78%;
        margin: 0 auto;
    }

    .testimonial {


        &::before {
            content: '';
            width: 2.5em;
            height: 5em;
            display: block;
            background-image: url('images/quote.svg');
            background-size: contain;
            background-repeat: no-repeat;
            background-position: center;
            position: relative;
            left: 50%;
            transform: translateX(-50%);
        }

        .copy {
            font-size: clamp(14px, calc(12px + 0.5vw), 18px);
            line-height: 1.7;
        }

        .quote {
            font-size: clamp(13px, calc(11.5px + 0.375vw), 16px);
            line-height: 1.43;
            text-transform: uppercase;
            margin-top: 2em;
            letter-spacing: .1em;

            .name {
                font-weight: 700;
            }
        }

    }
}


@media only screen and (min-width: 900px) {

    .bbb_testimonials {

        margin: 14em auto 10em;

        .wrapper {
            max-width: 82%;
        }

        .arrow {
            top: 0;
            transform: none;

            &.prev { left: .5rem; transform: rotate(-180deg); }
            &.next { right: .5rem; }
        }

        .testimonial {
            display: grid;
            grid-template-columns: auto 1fr;
            gap: 1.5em;
            gap: 1.75em;

            &::before {
                width: 3.25em;
                top: -.75em;
                left: auto;
                transform: none;
            }
        }
    }

}



.bbb_buchen {

    /* position: relative; */
    z-index: 2;
    padding-bottom: 50vw;

    h2 {
        z-index: 100;
        position: relative;
    }

    .wrapper {
        /* display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        gap: 2rem; */


        --gap: 28px;
        --card-w: clamp(260px, 26vw, 520px); /* same width for all items */

        display: flex;
        flex-wrap: wrap;
        gap: var(--gap);
        justify-content: center;          /* center items on each row */
        margin-inline: auto;

        /* optional: cap to 3 per row while staying centered */
        max-width: calc(var(--card-w) * 3 + var(--gap) * 2);
    }


    .content {
        z-index: 1000;
        position: relative;

        & > .wrapper {
            display: block !important;
        }
    }


    .button {

        flex: 0 0 var(--card-w);          /* fixed basis → equal width */
        max-width: 100%;


        background-color: transparent;
        border-color: #262626;
        color: #262626;
        text-align: center;
        transition: background-color .25s ease, border-color .25s ease, color .25s ease;

        &:hover {
            background-color: #1D2E36;
            border-color: #1D2E36;
            color: #fff;
        }

        span {
            display: block;
            font-family: var(--font-highlight);
            font-size: 25px;
            font-size: clamp(16px, calc(11.5px + 1.125vw), 25px);
            font-weight: 600;
            line-height: 1.5;
        }
        small {
            font-size: 16px;
            font-size: clamp(13px, calc(11.5px + 0.375vw), 16px);
            line-height: 1.62;
            letter-spacing: 0;
            text-transform: none;
        }
    }

}



section:has(.bbb_kontakt) {
    background-color: #D7DFDC;
    margin-top: calc( -1 * var(--spacing) );
    margin-bottom: 0;
    padding-top: var(--spacing);
    padding-bottom: var(--spacing);
}

.bbb_kontakt {

    form {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 2em;
        max-width: 368px;
        margin: 0 auto;

        fieldset {
            display: contents;

            &:disabled .button {
                opacity: .15;
                cursor: not-allowed;
            }
        }

        label {
            display: flex;
            flex-direction: column;
            text-align: center;
            gap: 1em;
            width: 100%;

            .label {
                font-weight: 700;
                letter-spacing: .12em;
                font-size: clamp(13px, calc(11.5px + 0.375vw), 16px);
                text-transform: uppercase;
            }

            input {
                border: none;
                line-height: 3.3765;
                padding: .75em 1.25em;
                font-size: clamp(14px, calc(12px + 0.5vw), 18px);
                line-height: 1.2;
                font-family: var(--font-family);
            }
            textarea {
                resize: vertical;
                min-height: 15em;
                border: none;
                padding: .75em;
                font-size: clamp(14px, calc(12px + 0.5vw), 18px);
                line-height: 1.2;
                font-family: var(--font-family);
            }

            &:has([name="firstname"]) {
                display: none;
            }
        }

        .button {
            margin-top: 2em;
            border: none;
        }

        .form_result {
            font-family: var(--font-highlight);
            font-weight: 600;
            letter-spacing: 1px;
            color: var(--color-primary);
            font-size: clamp(15px, calc(11.5px + 0.875vw), 22px);
            text-align: center;
        }
    }

    .wrapper {
        text-align: center;
        margin-top: 9em;
        display: flex;
        flex-direction: column;
        gap: 1.5em;

        .item {
            display: flex;
            justify-content: center;
            flex-direction: column;
            gap: .5em;
            font-size: clamp(13px, calc(11.5px + 0.375vw), 16px);

            strong {

                letter-spacing: .12em;
                text-transform: uppercase;
            }
        }
    }

}



.bbb_text {

    max-width: var(--size-small);
    font-size: clamp(16px, calc(11.5px + 1.125vw), 25px);


    h1 {
        font-weight: normal;
        font-size: clamp(25px, calc(10px + 3.75vw), 55px);
        margin-bottom: 1em;
    }

    h2 {
        font-family: var(--font-highlight);
        font-size: clamp(17px, calc(6.5px + 2.625vw), 38px);
        text-align: left;
        margin: 2em 0 .5em;
    }
    h3 {
        /* font-family: var(--font-highlight); */
        font-weight: bold;
        font-size: clamp(15px, calc(11.5px + 0.875vw), 22px);
    }
}



/* Startzustand */
/* .reveal {
  opacity: 0;
  transform: translateY(2rem);
  transition: opacity .6s ease, transform .6s ease;
  will-change: transform, opacity;
}
.reveal.is-inview {
  opacity: 1;
  transform: translateY(0);
}
@media (prefers-reduced-motion: reduce) {
  .reveal { transition: none; transform: none; opacity: 1; }
} */


/* Basiszustand */
[data-reveal]{opacity:0; transform:translateY(2rem); will-change:transform, opacity; transition:transform .6s ease, opacity .6s ease-out;}
/* sichtbar */
.is-revealed{opacity:1; transform:none; transition:transform .6s ease, opacity .6s ease;}
/* Barrierefreiheit */
@media (prefers-reduced-motion: reduce){
  [data-reveal]{transition:none; transform:none; opacity:1;}
}



.parallax {
  contain: content;
  overflow: visible;
}
.parallax > img,
.parallax > picture,
.parallax > .layer {
  display: block;
  will-change: transform;
  transform: translateY(0); /* baseline */
}
@media (prefers-reduced-motion: reduce) {
  .parallax > * { transform: none !important; }
}





/* Base variables for easy adjustments */
:root {
    --hamburger-width: clamp(30px, calc(21px + 2.25vw), 48px);
    --hamburger-stroke: 1px;
    --hamburger-gap: 0.5rem; /* The distance between lines */
    --hamburger-color: #fff;
    --transition-speed: 0.3s;
    --transition-ease: cubic-bezier(0.4, 0, 0.2, 1);
}

.trigger {
    /* Reset button defaults */
    background: transparent;
    border: none;
    cursor: pointer;
    padding: 1rem; /* Increase touch target size */
    display: grid;
    place-items: center;

    .hamburger {
        inline-size: var(--hamburger-width);
        block-size: var(--hamburger-stroke);

        position: relative;
        transition: background-color var(--transition-speed);

        /* Stop children from stealing clicks - as you already have */
        user-select: none;
        pointer-events: none;

        &::before,
        &::after {
            content: '';
            position: absolute;
            inline-size: 100%;
            block-size: 100%;
            background-color: var(--hamburger-color);
            inset-inline-start: 0;

            /* Modern 2026: Use individual transform properties */
            translate: 0 0;
            rotate: 0deg;
            transition:
                translate var(--transition-speed) var(--transition-ease),
                rotate var(--transition-speed) var(--transition-ease);
        }

        &::before { translate: 0 calc(var(--hamburger-gap) * -1); }
        &::after  { translate: 0 var(--hamburger-gap); }
    }

    /* The "Open" State */
    &[aria-expanded="true"] {
        .hamburger {
            background-color: transparent; /* Hide middle line */

            &::before {
                translate: 0 0;
                rotate: 45deg;
            }

            &::after {
                translate: 0 0;
                rotate: -45deg;
            }
        }
    }
}
